import { WebDriver } from 'selenium-webdriver';
import { ActionTestResult } from './action-test-result';
import { Browser } from './browser';
import { Identificable } from './identififable';
export declare abstract class Action extends Identificable {
    testResults: ActionTestResult[];
    image: string;
    constructor(testResults: ActionTestResult[], image: string, id?: string);
    toJSON(): object;
    abstract addTestResult(testResult: ActionTestResult): void;
    abstract test(browser: Browser, driver: WebDriver): Promise<void>;
}
