import { WebDriver, WebElement } from 'selenium-webdriver';
import { HtmlElementActionTestResult } from '../../action-test-result/html-element-action-test-result';
import { BoundingBox } from '../../bounding-box';
import { Locator } from '../../locator';
import { HtmlElementAction } from '../html-element-action';
export declare class WaitForAddedHtmlElement extends HtmlElementAction {
    timeout?: number | undefined;
    constructor(testResults: HtmlElementActionTestResult[], image: string, locators: Locator[], boundingBox: BoundingBox, timeout?: number | undefined, id?: string);
    testElement(driver: WebDriver, element: WebElement): Promise<void>;
    private getSeleniumLocator;
}
