import { Builder, WebDriver } from 'selenium-webdriver';
import { Identificable } from './identififable';
export declare abstract class Browser extends Identificable {
    name: string;
    width: number;
    height: number;
    sleepMsBetweenActions: number;
    constructor(name: string, width: number, height: number, sleepMsBetweenActions: number, id?: string);
    toJSON(): object;
    buildWebDriver(seleniumServerUrl: string): Promise<WebDriver>;
    abstract getBuilder(seleniumServerUrl: string): Builder;
}
