"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const selenium_webdriver_1 = require("selenium-webdriver");
const browser_1 = require("../browser");
class Firefox extends browser_1.Browser {
    constructor(name, width, height, sleepMsBetweenActions, id) {
        super(name, width, height, sleepMsBetweenActions, id);
    }
    getBuilder(seleniumServerUrl) {
        return new selenium_webdriver_1.Builder().forBrowser(selenium_webdriver_1.Browser.FIREFOX).usingServer(seleniumServerUrl);
    }
}
exports.Firefox = Firefox;
