import { Project } from './model/project';
import { Sequence } from './model/sequence';
import { Settings } from './model/settings';
import { ChrecJsonService } from './service/chrec-json.service';
export declare class Core {
    chrecJsonService: ChrecJsonService;
    constructor();
    testProject(project: Project, settings: Settings): Promise<void>;
    testSequence(sequence: Sequence, settings: Settings): Promise<void>;
    exportChrecJson(project: Project, dirName: string): Promise<void>;
    importChrecJson(absolutePath: string): Promise<Project>;
}
