import { WebDriver } from 'selenium-webdriver';
import { Action } from '../action';
import { BrowserActionTestResult } from '../action-test-result/browser-action-test-result';
import { Browser } from '../browser';
export declare abstract class BrowserAction extends Action {
    constructor(testResults: BrowserActionTestResult[], image: string, id?: string);
    addTestResult(testResult: BrowserActionTestResult): void;
    test(browser: Browser, driver: WebDriver): Promise<void>;
    protected abstract testBrowserAction(driver: WebDriver): Promise<void>;
}
