"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const html_element_action_1 = require("../html-element-action");
class SwitchToContext extends html_element_action_1.HtmlElementAction {
    constructor(testResults, image, locators, boundingBox, id) {
        super(testResults, image, locators, boundingBox, id);
    }
    testElement(driver, element) {
        return __awaiter(this, void 0, void 0, function* () {
            yield driver.switchTo().frame(element);
        });
    }
}
exports.SwitchToContext = SwitchToContext;
