import { Identificable } from './identififable';
import { Sequence } from './sequence';
import { Settings } from './settings';
export declare class Project extends Identificable {
    name: string;
    sequences: Sequence[];
    constructor(name: string, sequences: Sequence[], id?: string);
    addSequence(sequence: Sequence): void;
    test(settings: Settings): Promise<void>;
}
