import { Action } from '../model/action';
import { BrowserActionTestResult } from '../model/action-test-result/browser-action-test-result';
import { HtmlElementActionTestResult } from '../model/action-test-result/html-element-action-test-result';
import { BrowserAction } from '../model/action/browser-action';
import { HtmlElementAction } from '../model/action/html-element-action';
import { BoundingBox } from '../model/bounding-box';
import { Browser } from '../model/browser';
import { Locator } from '../model/locator';
import { LocatorTestResult } from '../model/locator-test-result';
import { Project } from '../model/project';
import { Sequence } from '../model/sequence';
export declare class ChrecJsonService {
    exportChrecJson(absolutePath: string, project: Project): Promise<void>;
    importChrecJson(absolutePath: string): Promise<Project>;
    validateChrecJson(parsedJson: any): Project;
    reviveProject(parsedJson: any): Project;
    reviveSequence(parsedJson: any): Sequence;
    reviveAction(parsedJson: any): Action;
    reviveBrowserAction(parsedJson: any): BrowserAction;
    reviveHtmlElementAction(parsedJson: any): HtmlElementAction;
    reviveBoundingBox(parsedJson: any): BoundingBox;
    reviveLocator(parsedJson: any): Locator;
    reviveLocatorTestResult(parsedJson: any): LocatorTestResult;
    reviveBrowserActionTestResult(parsedJson: any): BrowserActionTestResult;
    reviveHtmlElementActionTestResult(parsedJson: any): HtmlElementActionTestResult;
    reviveBrowser(parsedJson: any): Browser;
}
